summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2013-02-17 16:21:37 +0100
committerAndreas Maunz <andreas@maunz.de>2013-02-17 16:21:37 +0100
commit2743068f2930fed2b2d64c0eba6e33f63634ed7a (patch)
treee449fcdb59c716432f15c750360b03ccfc997d94
parent04303b88d749a10a481ece22812c9a360ee30904 (diff)
parent58f25b5b123331ac5480f34073a63e430370e0dc (diff)
Merge branch 'development' of github.com:opentox/install into development
-rwxr-xr-x4store-install5
-rwxr-xr-xbase-install4
-rwxr-xr-xconfig.sh13
-rw-r--r--debian.list2
-rwxr-xr-xinstall3
-rw-r--r--jl_keys.yaml38
-rw-r--r--ot-tools-user.sh32
-rw-r--r--pc_descriptors.yaml432
-rw-r--r--ubuntu.list3
9 files changed, 40 insertions, 492 deletions
diff --git a/4store-install b/4store-install
index 8b78d41..3e310ed 100755
--- a/4store-install
+++ b/4store-install
@@ -10,12 +10,13 @@ DIR=`pwd`
SELF=$(basename $0 -install)
check_log $SELF
[ "`id -u`" = "0" ] && echo "This script must not be run as root" 1>&2 && exit 1
-check_utils "git make"
+check_utils "git make tar wget"
# Build
cd $OT_PREFIX/tmp/
([ -d $SELF ] && cd $SELF && cmd="$GIT pull" && run_cmd "$cmd" "Git pull") || (cmd="$GIT clone https://github.com/garlik/$SELF" && run_cmd "$cmd" "Git clone")
cd $SELF
+cmd="$GIT checkout -b ist c3d8593c39dc04a39e272f729e486c1576f6aeba" && run_cmd "$cmd" "checkout to particular commit"
cmd="./autogen.sh" && run_cmd "$cmd" "Autogen"
export FST=$OT_PREFIX/4S
cmd="./configure --prefix=$FST --exec-prefix=$FST --with-storage-path=$FST/var/lib --with-config-file=$FST/$SELF.conf -with-http-log=$FST/log CFLAGS=-O2 CPPFLAGS=-O3" && run_cmd "$cmd" "Configure"
@@ -25,7 +26,7 @@ cmd="make install" && run_cmd "$cmd" "Make Install"
# Config
echo "if echo \"\$LD_LIBRARY_PATH\" | grep -v \"$FST/lib\">/dev/null 2>&1; then export LD_LIBRARY_PATH=\"\$LD_LIBRARY_PATH:$FST/lib\"; fi" >> "$FST_CONF"
-if ! cat "$OT_DEFAULT_CONF" | grep "four_store">/dev/null 2>&1; then echo '$four_store = { :uri => "http://localhost:9088", :user => "", :password => "" }' >> $OT_DEFAULT_CONF; fi
+if ! cat "$OT_DEFAULT_CONF" | grep "four_store">/dev/null 2>&1; then echo '$four_store = { :uri => "http://localhost:9088", :user => "user", :password => "pw" }' >> $OT_DEFAULT_CONF; fi
echo "$SELF configuration stored in '$FST_CONF'."
if ! grep "$FST_CONF" $OT_UI_CONF >/dev/null 2>&1; then
diff --git a/base-install b/base-install
index 444d7f9..44abffd 100755
--- a/base-install
+++ b/base-install
@@ -28,6 +28,7 @@ if ! cat "/etc/apt/sources.list" | grep "$REDLAND_DEB">/dev/null 2>&1; then
fi
sudo $APTITUDE update -y >/dev/null 2>&1
+sudo $APTITUDE upgrade -y >/dev/null 2>&1
DISTRIB_INFO=$(cat /proc/version)
@@ -37,6 +38,7 @@ case "$DISTRIB_INFO" in
*) PACK_LIST="debian.list";;
esac
+sudo $APTITUDE update -y >/dev/null 2>&1
sudo $DPKG --set-selections < "$PACK_LIST"
sudo $APT_GET -y --force-yes -u dselect-upgrade
@@ -44,6 +46,8 @@ if [ ! -f $JAVA_CONF ]; then
if [ ! -d "$OT_JAVA_HOME" ]; then
echo "Directory '$OT_JAVA_HOME' does not exist! Aborting..."
+ echo "Please check if openjdk-6-jdk has been installed properly."
+ echo "You may need to set the OT_JAVA_HOME variable in config.sh to the correct path on your system."
exit 1
fi
diff --git a/config.sh b/config.sh
index 16c6ad8..9cdbca7 100755
--- a/config.sh
+++ b/config.sh
@@ -18,9 +18,16 @@ OT_JAVA_HOME="/usr/lib/jvm/java-6-openjdk"
OB_NUM_VER="2.3.1"
RAPTOR2_NUM_VER="2.0.8"
RASQAL_NUM_VER="0.9.29"
+REDIS_NUM_VER="2.4.4"
RUBY_NUM_VER="1.9.3-p194"
+FOUR_STORE_VER="4store-v1.1.5"
+REDIS_URL="http://redis.googlecode.com/files"
REDLAND_DWL="http://download.librdf.org"
REDLAND_APT_KEY="http://purl.org/net/dajobe/gnupg.asc"
+FOUR_STORE_URL="http://4store.org/download"
+
+# 4) Server settings.
+OHM_PORT="6379" # set to port (no colon)
# Done.
@@ -31,6 +38,7 @@ OB_CONF="$HOME/.opentox/OB.sh"
R_CONF="$HOME/.opentox/R.sh"
RAPTOR2_CONF="$HOME/.opentox/RAPTOR2.sh"
RASQAL_CONF="$HOME/.opentox/RASQAL.sh"
+REDIS_CONF="$HOME/.opentox/REDIS.sh"
OT_UI_CONF="$HOME/.opentox/opentox-ui.sh"
OT_TOOLS_CONF="$HOME/.opentox/ot-tools.sh"
OT_DEFAULT_CONF="$HOME/.opentox/config/default.rb"
@@ -38,10 +46,15 @@ OT_DEFAULT_CONF="$HOME/.opentox/config/default.rb"
OB_VER="openbabel-$OB_NUM_VER"
RAPTOR2_VER="raptor2-$RAPTOR2_NUM_VER"
RASQAL_VER="rasqal-$RASQAL_NUM_VER"
+REDIS_VER="redis-$REDIS_NUM_VER"
OB_DEST="$OT_PREFIX/$OB_VER"
OB_DEST_BINDINGS="$OT_PREFIX/openbabel-ruby-install"
R_DEST="$OT_PREFIX/r-packages"
RUBY_DWL="http://ftp.ruby-lang.org/pub/ruby/1.9"
RAPTOR2_DWL="$REDLAND_DWL/source/$RAPTOR2_VER.tar.gz"
RASQAL_DWL="$REDLAND_DWL/source/$RASQAL_VER.tar.gz"
+REDIS_DWL="$REDIS_URL/$REDIS_VER.tar.gz"
+REDIS_DIR="$OT_PREFIX/$REDIS_VER"
+REDIS_SERVER_CONF="$REDIS_DIR/redis.conf"
REDLAND_DEB="$REDLAND_DWL/binaries/$OT_DIST/unstable"
+FOUR_STORE_DWL="$FOUR_STORE_URL/$FOUR_STORE_VER.tar.gz"
diff --git a/debian.list b/debian.list
index b10234d..e5af5b5 100644
--- a/debian.list
+++ b/debian.list
@@ -4,6 +4,7 @@ avahi-daemon install
build-essential install
cmake install
curl install
+gnuplot install
libavahi-glib-dev install
libavahi-client-dev install
libcairo2-dev install
@@ -22,3 +23,4 @@ openjdk-6-jdk install
r-base-dev install
r-base install
uuid-dev install
+xsltproc install
diff --git a/install b/install
index c9663ba..1dea679 100755
--- a/install
+++ b/install
@@ -71,11 +71,8 @@ if ! grep "rbenv" $OT_UI_CONF >/dev/null 2>&1 ; then
echo 'if ! echo "$PATH" | grep "$HOME/.rbenv/bin">/dev/null 2>&1; then export PATH="$HOME/.rbenv/bin:$PATH"; eval "$(rbenv init -)"; fi' >> $OT_UI_CONF
fi
-[ -f $HOME/.opentox/config/pc_descriptors.yaml ] || (cmd="cp pc_descriptors.yaml $HOME/.opentox/config/" && run_cmd "$cmd" "Pc descriptor file")
-[ -f $HOME/.opentox/config/jl_keys.yaml ] || (cmd="cp jl_keys.yaml $HOME/.opentox/config/" && run_cmd "$cmd" "Joelib keys file")
[ -f $OT_TOOLS_CONF ] || (cmd="cp ot-tools-user.sh $OT_TOOLS_CONF" && run_cmd "$cmd" "ot-tools.sh => $HOME/.opentox")
-
# Install global ruby version
. ./utils.sh
install_ruby global
diff --git a/jl_keys.yaml b/jl_keys.yaml
deleted file mode 100644
index 22f26ae..0000000
--- a/jl_keys.yaml
+++ /dev/null
@@ -1,38 +0,0 @@
-[
- "joelib2.feature.types.FractionRotatableBonds",
- "joelib2.feature.types.GeometricalDiameter",
- "joelib2.feature.types.GeometricalRadius",
- "joelib2.feature.types.GeometricalShapeCoefficient",
- "joelib2.feature.types.GraphShapeCoefficient",
- "joelib2.feature.types.KierShape1",
- "joelib2.feature.types.KierShape2",
- "joelib2.feature.types.KierShape3",
- "joelib2.feature.types.LogP",
- "joelib2.feature.types.MolarRefractivity",
- "joelib2.feature.types.MolecularWeight",
- "joelib2.feature.types.PolarSurfaceArea",
- "joelib2.feature.types.FractionRotatableBonds",
- "joelib2.feature.types.RotatableBonds",
- "joelib2.feature.types.TopologicalDiameter",
- "joelib2.feature.types.TopologicalRadius",
- "joelib2.feature.types.ZagrebIndex1",
- "joelib2.feature.types.count.AcidicGroups",
- "joelib2.feature.types.count.AliphaticOHGroups",
- "joelib2.feature.types.count.AromaticBonds",
- "joelib2.feature.types.count.AromaticOHGroups",
- "joelib2.feature.types.count.BasicGroups",
- "joelib2.feature.types.count.HBA1",
- "joelib2.feature.types.count.HBA2",
- "joelib2.feature.types.count.HBD1",
- "joelib2.feature.types.count.HBD2",
- "joelib2.feature.types.count.HeavyBonds",
- "joelib2.feature.types.count.HeteroCycles",
- "joelib2.feature.types.count.HydrophobicGroups",
- "joelib2.feature.types.count.NO2Groups",
- "joelib2.feature.types.count.NumberOfAtoms",
- "joelib2.feature.types.count.NumberOfBonds",
- "joelib2.feature.types.count.NumberOfHal",
- "joelib2.feature.types.count.OSOGroups",
- "joelib2.feature.types.count.SO2Groups",
- "joelib2.feature.types.count.OSOGroups"
-]
diff --git a/ot-tools-user.sh b/ot-tools-user.sh
index bb036ef..47f0f66 100644
--- a/ot-tools-user.sh
+++ b/ot-tools-user.sh
@@ -27,9 +27,9 @@ start_unicorn() {
# @example start_unicorn algorithm 8081
start_4s() {
nice bash -c "nohup $OT_PREFIX/4S/bin/4s-backend $1 >/dev/null 2>&1 &";
- sleep 0.5;
+ sleep 2;
nice bash -c "nohup $OT_PREFIX/4S/bin/4s-httpd -H localhost -p $2 -s -1 $1 >/dev/null 2>&1 &"; #-D for testing
- sleep 0.5;
+ sleep 1;
}
@@ -72,8 +72,8 @@ otstart() {
"feature") start_unicorn $1 8084;;
"model") start_unicorn $1 8085;;
"task") start_unicorn $1 8086;;
- "validation") #start_unicorn $1 8087;;
- echo "$1 not available yet.";;
+ "validation") start_unicorn $1 8087;
+ nice bash -c "nohup redis-server $OT_PREFIX/validation/redis-*/redis.conf >/dev/null 2>&1 &";;
"4store") start_4s opentox 9088;
if ! pgrep -u $USER 4s-backend>/dev/null 2>&1; then echo "Failed to start 4s-backend."; fi
if ! pgrep -u $USER 4s-httpd>/dev/null 2>&1; then echo "Failed to start 4s-httpd."; fi;;
@@ -83,8 +83,8 @@ otstart() {
otstart dataset;
otstart feature;
otstart model;
- otstart task;;
- #otstart validation;;
+ otstart task;
+ otstart validation;;
*) echo "One argument required: [service_name] or 'all'";
echo "usage: otstart [all|algorithm|compound|dataset|feature|model|task|validation|4store]";
return 1;;
@@ -132,9 +132,8 @@ otreload() {
check_service "model";;
"task") reload_unicorn 8086;
check_service "task";;
- "validation") #reload_unicorn 8087;;
- #check_service "validation";
- echo "$1 not available yet.";;
+ "validation") reload_unicorn 8087;
+ check_service "validation";;
"4store") #killall 4s-httpd >/dev/null 2>&1;
#killall 4s-backend >/dev/null 2>&1;
#check_service "four_store";;
@@ -144,8 +143,8 @@ otreload() {
otreload dataset;
otreload feature;
otreload model;
- otreload task;;
- #otrelaod validation;
+ otreload task;
+ otrelaod validation;;
#otreload 4store;;
*) echo "One argument required: [service_name] or 'all'";
echo "usage: otreload [all|algorithm|compound|dataset|feature|model|task|validation|4store]";
@@ -176,8 +175,8 @@ otkill() {
"feature") kill_unicorn 8084;;
"model") kill_unicorn 8085;;
"task") kill_unicorn 8086;;
- "validation") #kill_unicorn 8087;;
- echo "$1 not available yet.";;
+ "validation") kill_unicorn 8087;
+ bash -c "redis-cli -p $OHM_PORT shutdown >/dev/null 2>&1";;
"4store") killall 4s-httpd >/dev/null 2>&1;
killall 4s-backend >/dev/null 2>&1;;
"all") otkill algorithm;
@@ -186,7 +185,7 @@ otkill() {
otkill feature;
otkill model;
otkill task;
- #otkill validation;
+ otkill validation;
otkill 4store;;
*) echo "One argument required: [service_name] or 'all'";
echo "usage: otkill [all|algorithm|compound|dataset|feature|model|task|validation|4store]";
@@ -265,8 +264,7 @@ otcheck() {
"feature") check_service "feature";;
"model") check_service "model";;
"task") check_service "task";;
- "validation") #check_service "validation";;
- echo "$1 not available yet.";;
+ "validation") check_service "validation";;
"4store") check_service "four_store";;
"all") otcheck "algorithm";
otcheck "compound";
@@ -274,7 +272,7 @@ otcheck() {
otcheck "feature";
otcheck "model";
otcheck "task";
- #otcheck "validation";
+ otcheck "validation";
otcheck 4store;;
*) echo "One argument required: [service_name] or 'all'";
echo "usage: otcheck [all|algorithm|compound|dataset|feature|model|task|validation|4store]";
diff --git a/pc_descriptors.yaml b/pc_descriptors.yaml
deleted file mode 100644
index ba32800..0000000
--- a/pc_descriptors.yaml
+++ /dev/null
@@ -1,432 +0,0 @@
----
-
-# cdk
-
-LengthOverBreadthDescriptor:
- :pc_type: "geometrical"
- :lib: "cdk"
- :name: "Length Over Breadth"
-
-KierHallSmartsDescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Kier & Hall SMARTS"
-
-FragmentComplexityDescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Fragment Complexity"
-
-APolDescriptor:
- :pc_type: "electronic"
- :lib: "cdk"
- :name: "Atomic Polarizabilities"
-
-LargestChainDescriptor:
- :pc_type: "constitutional"
- :lib: "cdk"
- :name: "Largest Chain"
-
-ChiPathDescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Chi Path Indices"
-
-PetitjeanNumberDescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Petitjean Number"
-
-LongestAliphaticChainDescriptor:
- :pc_type: "constitutional"
- :lib: "cdk"
- :name: "Longest Aliphatic Chain"
-
-KappaShapeIndicesDescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Kier and Hall kappa molecular shape indices"
-
-AromaticBondsCountDescriptor:
- :pc_type: "constitutional"
- :lib: "cdk"
- :name: "Aromatic Bonds Count"
-
-CPSADescriptor:
- :pc_type: "cpsa"
- :lib: "cdk"
- :name: "Charged Partial Surface Areas"
-
-VAdjMaDescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Vertex adjacency information magnitude"
-
-AutocorrelationDescriptorMass:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Moreau-Broto Autocorrelation (mass) descriptors"
-
-RuleOfFiveDescriptor:
- :pc_type: "constitutional"
- :lib: "cdk"
- :name: "Lipinski's Rule of Five"
-
-GravitationalIndexDescriptor:
- :pc_type: "geometrical"
- :lib: "cdk"
- :name: "Gravitational Index"
-
-WienerNumbersDescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Wiener Numbers"
-
-ChiPathClusterDescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Chi Path-Cluster Indices"
-
-AtomCountDescriptor:
- :pc_type: "constitutional"
- :lib: "cdk"
- :name: "Atoms Count"
-
-MomentOfInertiaDescriptor:
- :pc_type: "geometrical"
- :lib: "cdk"
- :name: "Moments of Inertia"
-
-CarbonTypesDescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Carbon Types"
-
-AutocorrelationDescriptorPolarizability:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Moreau-Broto Autocorrelation (polarizability) descriptors"
-
-EccentricConnectivityIndexDescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Eccentric Connectivity Index"
-
-BCUTDescriptor:
- :pc_type: "hybrid"
- :lib: "cdk"
- :name: "BCUT"
-
-AromaticAtomsCountDescriptor:
- :pc_type: "constitutional"
- :lib: "cdk"
- :name: "Aromatic Atoms Count"
-
-WHIMDescriptor:
- :pc_type: "hybrid"
- :lib: "cdk"
- :name: "WHIM"
-
-ALOGPDescriptor:
- :pc_type: "constitutional"
- :lib: "cdk"
- :name: "ALogP"
-
-XLogPDescriptor:
- :pc_type: "constitutional"
- :lib: "cdk"
- :name: "XLogP"
-
-PetitjeanShapeIndexDescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Petitjean Number"
-
-MDEDescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Molecular Distance Edge"
-
-ChiChainDescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Chi Chain Indices"
-
-BondCountDescriptor:
- :pc_type: "constitutional"
- :lib: "cdk"
- :name: "Bonds Count"
-
-MannholdLogPDescriptor:
- :pc_type: "constitutional"
- :lib: "cdk"
- :name: "Mannhold LogP"
-
-BPolDescriptor:
- :pc_type: "electronic"
- :lib: "cdk"
- :name: "Bond Polarizabilities"
-
-AutocorrelationDescriptorCharge:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Moreau-Broto Autocorrelation (charge) descriptors"
-
-ZagrebIndexDescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Zagreb Index"
-
-ChiClusterDescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Chi Cluster Indices"
-
-RotatableBondsCountDescriptor:
- :pc_type: "constitutional"
- :lib: "cdk"
- :name: "Rotatable Bonds Count"
-
-TPSADescriptor:
- :pc_type: "topological"
- :lib: "cdk"
- :name: "Topological Polar Surface Area"
-
-HBondDonorCountDescriptor:
- :pc_type: "electronic"
- :lib: "cdk"
- :name: "Hydrogen Bond Donors"
-
-HBondAcceptorCountDescriptor:
- :pc_type: "electronic"
- :lib: "cdk"
- :name: "Hydrogen Bond Acceptors"
-
-LargestPiSystemDescriptor:
- :pc_type: "constitutional"
- :lib: "cdk"
- :name: "Largest Pi Chain"
-
-
-# joelib
-
-
-HBA2:
- :pc_type: "electronic"
- :lib: "joelib"
- :name: "Hydrogen Bond Acceptors 2"
-MolarRefractivity:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Molar Refractivity"
-KierShape3:
- :pc_type: "topological"
- :lib: "joelib"
- :name: "Kier Shape 3"
-SO2Groups:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "SO2 Groups"
-MolecularWeight:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Molecular Weight"
-LogP:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Log P"
-OSOGroups:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "OSO Groups"
-AromaticOHGroups:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Aromatic OH Groups"
-AromaticBonds:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Aromatic Bonds"
-AcidicGroups:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Acidic Groups"
-GraphShapeCoefficient:
- :pc_type: "topological"
- :lib: "joelib"
- :name: "Graph Shape Coefficient"
-GeometricalShapeCoefficient:
- :pc_type: "topological"
- :lib: "joelib"
- :name: "Geometrical Shape Coefficient"
-ZagrebIndex1:
- :pc_type: "topological"
- :lib: "joelib"
- :name: "Zagreb Index1"
-TopologicalRadius:
- :pc_type: "topological"
- :lib: "joelib"
- :name: "Topological Radius"
-GeometricalDiameter:
- :pc_type: "geometrical"
- :lib: "joelib"
- :name: "Geometrical Diameter"
-FractionRotatableBonds:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Fraction Rotatable Bonds"
-NumberOfAtoms:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Number Of Atoms"
-HeteroCycles:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Hetero Cycles"
-RotatableBonds:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Rotatable Bonds"
-BasicGroups:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Basic Groups"
-TopologicalDiameter:
- :pc_type: "topological"
- :lib: "joelib"
- :name: "Topological Diameter"
-NumberOfBonds:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Number Of Bonds"
-NO2Groups:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "NO2 Groups"
-HBD1:
- :pc_type: "electronic"
- :lib: "joelib"
- :name: "Hydrogen Bond Donors 1"
-AliphaticOHGroups:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Aliphatic OH Groups"
-HBD2:
- :pc_type: "electronic"
- :lib: "joelib"
- :name: "Hydrogen Bond Donors 2"
-HydrophobicGroups:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Hydrophobic Groups"
-HeavyBonds:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Heavy Bonds"
-KierShape1:
- :pc_type: "topological"
- :lib: "joelib"
- :name: "Kier Shape1"
-NumberOfHal:
- :pc_type: "constitutional"
- :lib: "joelib"
- :name: "Number Of Halogens"
-HBA1:
- :pc_type: "electronic"
- :lib: "joelib"
- :name: "Hydrogen Bond Acceptors 1"
-PolarSurfaceArea:
- :pc_type: "topological"
- :lib: "joelib"
- :name: "Polar Surface Area"
-KierShape2:
- :pc_type: "topological"
- :lib: "joelib"
- :name: "Kier Shape 2"
-GeometricalRadius:
- :pc_type: "geometrical"
- :lib: "joelib"
- :name: "Geometrical Radius"
-
-
-# openbabel
-NumAtoms:
- :pc_type: "constitutional"
- :lib: "openbabel"
- :name: "Number of atoms"
-NumBonds:
- :pc_type: "constitutional"
- :lib: "openbabel"
- :name: "Number of bonds"
-NumHvyAtoms:
- :pc_type: "constitutional"
- :lib: "openbabel"
- :name: "Number of heavy atoms"
-NumResidues:
- :pc_type: "constitutional"
- :lib: "openbabel"
- :name: "Number of residues"
-NumRotors:
- :pc_type: "constitutional"
- :lib: "openbabel"
- :name: "Number of rotatable bonds"
-GetEnergy:
- :pc_type: "constitutional"
- :lib: "openbabel"
- :name: "Heat of formation for this molecule (in kcal/mol)"
-GetMolWt:
- :pc_type: "constitutional"
- :lib: "openbabel"
- :name: "Standard molar mass given by IUPAC atomic masses (amu)"
-GetExactMass:
- :pc_type: "constitutional"
- :lib: "openbabel"
- :name: "Mass given by isotopes (or most abundant isotope if not specified)"
-GetTotalCharge:
- :pc_type: "topological"
- :lib: "openbabel"
- :name: "Total charge"
-HBA1:
- :pc_type: "electronic"
- :lib: "openbabel"
- :name: "Number of hydrogen bond acceptors 1 (JoelLib)"
-HBA2:
- :pc_type: "electronic"
- :lib: "openbabel"
- :name: "Number of hydrogen bond acceptors 2 (JoelLib)"
-HBD:
- :pc_type: "electronic"
- :lib: "openbabel"
- :name: "Number of hydrogen bond donors (JoelLib)"
-L5:
- :pc_type: "constitutional"
- :lib: "openbabel"
- :name: "Lipinski rule of five"
-logP:
- :pc_type: "constitutional"
- :lib: "openbabel"
- :name: "Octanol/water partition coefficient"
-MR:
- :pc_type: "constitutional"
- :lib: "openbabel"
- :name: "Molar refractivity"
-MW:
- :pc_type: "constitutional"
- :lib: "openbabel"
- :name: "Molecular weight"
-nF:
- :pc_type: "constitutional"
- :lib: "openbabel"
- :name: "Number of fluorine atoms"
-#nHal:
-# :pc_type: "constitutional"
-# :lib: "openbabel"
-# :name: "Number of halogen atoms"
-#spinMult:
-# :pc_type: "electronic"
-# :lib: "openbabel"
-# :name: "Total spin multiplicity"
-TPSA:
- :pc_type: "topological"
- :lib: "openbabel"
- :name: "Topological polar surface area"
diff --git a/ubuntu.list b/ubuntu.list
index 923759d..e5af5b5 100644
--- a/ubuntu.list
+++ b/ubuntu.list
@@ -4,8 +4,10 @@ avahi-daemon install
build-essential install
cmake install
curl install
+gnuplot install
libavahi-glib-dev install
libavahi-client-dev install
+libcairo2-dev install
libglib2.0-dev install
libgsl0-dev install
libopenssl-ruby install
@@ -21,3 +23,4 @@ openjdk-6-jdk install
r-base-dev install
r-base install
uuid-dev install
+xsltproc install